Webhooks / REST API
Update webhook endpoint
Update an outbound webhook endpoint, its explicit subscriptions, filters, destination authentication, or active and paused status.
PATCH /api/v1/webhook-endpoints/{endpointId}Deterministic operationParameters
workspaceIdOptional · string- Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
endpointIdRequired · string- See the input schema for this field.
nameOptional · string- See the input schema for this field.
urlOptional · string- See the input schema for this field.
eventTypesOptional · array- See the input schema for this field.
filtersOptional · object- See the input schema for this field.
destinationAuthOptional · object- Destination authentication. Use { type: "keep" } to preserve the configured secret.
activeOptional · boolean- See the input schema for this field.
statusOptional · string- See the input schema for this field.active · paused
curl -X PATCH "https://app.pipeline.help/api/v1/webhook-endpoints/00000000-0000-4000-8000-000000000000" \
-H "Authorization: Bearer $PIPELINE_API_KEY"Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string",
"minLength": 1,
"description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
},
"endpointId": {
"type": "string",
"format": "uuid"
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 120
},
"url": {
"type": "string",
"format": "uri",
"maxLength": 2048
},
"eventTypes": {
"type": "array",
"minItems": 1,
"maxItems": 100,
"items": {
"type": "string",
"enum": [
"campaign.started",
"campaign.paused",
"campaign.resumed",
"campaign.completed",
"linkedin.reply.received",
"reply.classified",
"prospect.stage.changed",
"meeting.booked",
"workflow.run.started",
"workflow.run.completed",
"workflow.run.failed",
"workflow.run.awaiting_approval",
"approval.required",
"approval.resolved"
]
}
},
"filters": {
"type": "object",
"properties": {
"campaignIds": {
"type": "array",
"maxItems": 100,
"items": {
"type": "string",
"format": "uuid"
}
}
},
"additionalProperties": false
},
"destinationAuth": {
"type": "object",
"description": "Destination authentication. Use { type: \"keep\" } to preserve the configured secret."
},
"active": {
"type": "boolean"
},
"status": {
"type": "string",
"enum": [
"active",
"paused"
]
}
},
"required": [
"endpointId"
]
}